atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper The ATK interface implemented by container objects whose children can be selected.

The ATK interface implemented by container objects whose children can be selected.

This should be implemented by UI components with children which are exposed by and , if the use of the parent UI component ordinarily involves selection of one or more of the objects corresponding to those AtkObject children - for example, selectable lists.

Note that other types of "selection" (for instance text selection) are accomplished a other ATK interfaces - is limited to the selection/deselection of children.

- Method
  2.12.0.0
  System.Boolean `` A specifying the child index. Adds the specified accessible child of the object to the object's selection. if success, otherwise.
- Method
  2.12.0.0
  System.Boolean Clears the selection in the object so that no children in the object are selected. if success, otherwise.
- Method
  2.12.0.0
  System.Boolean `` A specifying the child index. Determines if the current child of this object is selected. A bool representing the specified child is selected, or 0 if selection does not implement this interface.

  Callers should not rely on 0 or on a zero value for indication of whether AtkSelectionIface is implemented, they should use type checking/interface checking macros or the atk_get_accessible_value() convenience method.

- Method
  2.12.0.0
  Atk.Object `` To be added: an object of type 'int' To be added To be added: an object of type 'Atk.Object' To be added
- Method
  2.12.0.0
  System.Boolean `` A specifying the index in the selection set. (e.g. the ith selection as opposed to the ith child). Removes the specified child of the object from the object's selection. if success, otherwise.
- Method
  2.12.0.0
  System.Boolean Causes every child of the object to be selected if the object supports multiple selections. if success, otherwise.
- Event
  2.12.0.0
  System.EventHandler Event raised when the selected is changed.
- Property
  2.12.0.0
  System.Int32 Gets the number of accessible children currently selected. A representing the number of items selected, or 0 if selection does not implement this interface.

  Callers should not rely on 0 or on a zero value for indication of whether AtkSelectionIface is implemented, they should use type checking/interface checking macros or the atk_get_accessible_value() convenience method.